CommandParse.prototype.addCommande("msg", ["salle", "data"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		this.logMessage("La commande pour envoyer un message à la salle '" + paramSended.salle + "' a pris trop de temps à s'exécuter");
		return;
	}
	
	res = resultat.getJSON();
	
	if (isset(res.resultat) && res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
});
CommandParse.prototype.addCommande("join", ["salle", "password"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		this.logMessage("La commande pour rejoindre la salle '" + paramSended.salle + "' a pris trop de temps à s'exécuter");
		return;
	}
	
	res = resultat.getJSON();
	
	if (isset(res.resultat) && res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.ajouterSalle("#" + res.salle);
});
CommandParse.prototype.addCommande("privmsg", ["user", "data"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		this.logMessage("La commande pour envoyer un message privée à '" + paramSended.user + "' a pris trop de temps à s'exécuter");
		return;
	}
	
	res = resultat.getJSON();
	
	if (isset(res.resultat) && res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	if (!this.salleExist("~" + paramSended.user))
		this.ajouterSalle("~" + paramSended.user);
	
	paramSended['from'] = this.getNomUtilisateur();
	this.ajouterMessage("~" + paramSended.user, MessageFormat.format("privmsg", paramSended));
});
CommandParse.prototype.addCommande("quit", ["salle"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
			
	this.removeSalle("#" + paramSended.salle);
});
CommandParse.prototype.addCommande("nsregister", ["password"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage("Votre nom a été reservé avec succès.");
});
CommandParse.prototype.addCommande("nslogin", ["password"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
	
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage("Vous êtres connecté avec succès");
});
CommandParse.prototype.addCommande("nskick", ["username", "password"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
});
CommandParse.prototype.addCommande("askick", ["username"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage(paramSended.username + " a été kické avec succès.");
});
CommandParse.prototype.addCommande("asaddadmin", ["username"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage(paramSended.username + " a été ajouté comme administrateur avec succès.");
});
CommandParse.prototype.addCommande("asaddop", ["username"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage(paramSended.username + " a été ajouté comme modérateur avec succès.");
});
CommandParse.prototype.addCommande("mute", ["username"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage(paramSended.username + " ne peut plus parler maintenant.");
});
CommandParse.prototype.addCommande("unmute", ["username"], function (paramSended, resultat) {
	if (resultat.getCode() == 408) {
		// Une requête a pris trop de temps à être exécuté //
		return;
	}
	
	res = resultat.getJSON();
			
	if (res.resultat == "false") {
		this.logMessage(res.message);
		return;
	}
	
	this.logMessage(paramSended.username + " peut parler maintenant.");
});